org.springframework.data.relational.repository.query

## Class DtoInstantiatingConverter

- java.lang.Object
- - org.springframework.data.relational.repository.query.DtoInstantiatingConverter

All Implemented Interfaces:
  Converter<Object,Object>

    public class DtoInstantiatingConverter
    extends Object
    implements Converter<Object,Object>

`Converter` to instantiate DTOs from fully equipped domain objects.

Author:
  Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`DtoInstantiatingConverter(Class<?> dtoType, MappingContext<? extends RelationalPersistentEntity<?>,? extends RelationalPersistentProperty> context, EntityInstantiators instantiator)` Creates a new `Converter` to instantiate DTOs.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `convert(Object source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.core.convert.converter.Converter

`andThen`

### Constructor Detail

#### DtoInstantiatingConverter

    public DtoInstantiatingConverter(Class<?> dtoType,
                                     MappingContext<? extends RelationalPersistentEntity<?>,? extends RelationalPersistentProperty> context,
                                     EntityInstantiators instantiator)

Creates a new `Converter` to instantiate DTOs.

Parameters:
  `dtoType` - must not be null.
  `context` - must not be null.
  `instantiator` - must not be null.

### Method Detail

#### convert

    public Object convert(Object source)

Specified by:
  `convert` in interface `Converter<Object,Object>`